com.fasterxml.jackson.databind.jsonFormatVisitors

## Interface JsonFormatVisitorWrapper

All Superinterfaces:
  JsonFormatVisitorWithSerializerProvider

    public interface JsonFormatVisitorWrapper
    extends JsonFormatVisitorWithSerializerProvider

### Method Summary

Methods
`JsonAnyFormatVisitor` `expectAnyFormat(JavaType convertedType)`
`JsonArrayFormatVisitor` `expectArrayFormat(JavaType convertedType)`
`JsonBooleanFormatVisitor` `expectBooleanFormat(JavaType convertedType)`
`JsonIntegerFormatVisitor` `expectIntegerFormat(JavaType convertedType)`
`JsonNullFormatVisitor` `expectNullFormat(JavaType convertedType)`
`JsonNumberFormatVisitor` `expectNumberFormat(JavaType convertedType)`
`JsonObjectFormatVisitor` `expectObjectFormat(JavaType convertedType)`
`JsonStringFormatVisitor` `expectStringFormat(JavaType convertedType)`

### Methods inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider

`getProvider, setProvider`

### Method Detail

#### expectObjectFormat

    JsonObjectFormatVisitor expectObjectFormat(JavaType convertedType)

#### expectArrayFormat

    JsonArrayFormatVisitor expectArrayFormat(JavaType convertedType)

#### expectStringFormat

    JsonStringFormatVisitor expectStringFormat(JavaType convertedType)

#### expectNumberFormat

    JsonNumberFormatVisitor expectNumberFormat(JavaType convertedType)

#### expectIntegerFormat

    JsonIntegerFormatVisitor expectIntegerFormat(JavaType convertedType)

#### expectBooleanFormat

    JsonBooleanFormatVisitor expectBooleanFormat(JavaType convertedType)

#### expectNullFormat

    JsonNullFormatVisitor expectNullFormat(JavaType convertedType)

#### expectAnyFormat

    JsonAnyFormatVisitor expectAnyFormat(JavaType convertedType)